-- File created by Tiger

local balance = ...

 -- Nombre de famille début de jeu 14, minimum pour partir en bonheur de 30 et immigration mini de 1 et max de 24 (2X8) ---

balance:override({
	Id = "DEFAULT_BALANCING",
	InitialFamilyCount = 14,
	MinimumHappinessForLeaving = 30,
	VillagerCountPerImmigrationWave = {1, 12},
	GAME_RULE_MODIFIER_IMMIGRATION_RATE = 16
})

 -- Warehouse et Granary peuvent stocker 1000 de ressources et ont 8 travailleurs old de 4 ---

balance:override({
	Id = "BUILDING_FUNCTION_WAREHOUSE",
	SocketCapacity = 1000,
	WorkerCapacity = 8
	})

balance:override({
	Id = "BUILDING_FUNCTION_GRANARY",
	SocketCapacity = 1000,
	WorkerCapacity = 8
	})

 -- Warehouse et Granary dispose d'une aire de desrability d'un rayon de 100 mètres ---

balance:override({
	Id = "BUILDING_PART_WAREHOUSE",
        DesirabilityModifiers = {
                {
                        Desirability = "DESIRABILITY_RESIDENTIAL",
                        Radius = 100,
                        Value = 1.0
                }
        }

})

balance:override({
	Id = "BUILDING_PART_GRANARY",
        DesirabilityModifiers = {
                {
                        Desirability = "DESIRABILITY_RESIDENTIAL",
                        Radius = 100,
                        Value = 1.0
                }
        }

})

 -- Plus de taxes royales ---

balance:override({
	Id = "DEFAULT_BALANCING",
	TerritoryRoyalTaxesList = {
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } },
		{ { Resource = "GOLD", Quantity = 0 } }
	}
})

-- Territoires sont gratuits ---

balance:override({
	Id = "DEFAULT_BALANCING",
	
	TerritoryPrice = {
		{ Resource = "GOLD", Quantity = 0}
	},
	
	TerritoryRoyalTaxesList = {
		{
			{ Resource = "GOLD", Quantity = 0 }
		}
	}
	
})

 -- 2 Bâtisseurs de plus dans l'atelier de construction ---

balance:override({
	Id = "BUILDING_FUNCTION_LAMBER_CAMP",
	WorkerCapacity = 6
})

 -- 3 Batisseurs de plus pour les batiments suivants ---
 
 balance:override({
	Id = "BUILDING_FUNCTION_BUILDER_WORKSHOP",
	WorkerCapacity = 10
})
 
 balance:override({
	Id = "BUILDING_FUNCTION_SAWMILL",
	WorkerCapacity = 6
})

balance:override({
	Id = "BUILDING_FUNCTION_GATHERING_HUT",
	WorkerCapacity = 6
})

 -- 1 Batisseur de plus pour les batiments suivants ---
 
 balance:override({
	Id = "BUILDING_FUNCTION_STONEMASON_HUT",
	WorkerCapacity = 2
})

 balance:override({
	Id = "BUILDING_FUNCTION_BREWERY",
	WorkerCapacity = 2
})

 -- Le travail de Angelhearth sur le discord du jeu. Pas de moi. --- Thanks Angelhearth.

balance:override({
    Id = "BUILDING_FUNCTION_WOODCUTTER",
    WorkerCapacity = 6
})

balance:override({
    Id = "BUILDING_FUNCTION_TAILOR_WORKSHOP",
    WorkerCapacity = 2
})

balance:override({
    Id = "BUILDING_FUNCTION_SHEEP_FARM",
    WorkerCapacity = 2
})

balance:override({
    Id = "BUILDING_FUNCTION_DAIRY_FARM",
    WorkerCapacity = 2
})

balance:override({
    Id = "BUILDING_FUNCTION_FORESTER",
    WorkerCapacity = 2
})

balance:override({
    Id = "BUILDING_FUNCTION_DAIRY_FARM",
    ResourceProduced = {
        {
            Resource = "MILK",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_FISHING_HUT",
    WorkerCapacity = 3
})

 -- Augmentation de la production de certains Batiments -- 
 
 balance:override({
    Id = "BUILDING_FUNCTION_BAKERY",
    ResourceProduced = {
        {
            Resource = "BREAD",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_BREWERY",
    ResourceProduced = {
        {
            Resource = "BEER",
            Quantity = 12
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_STONECUTTER_CAMP",
    ResourceProduced = {
        {
            Resource = "STONE",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_SAWMILL",
    ResourceProduced = {
        {
            Resource = "PLANK",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_STONEMASON_HUT",
    ResourceProduced = {
        {
            Resource = "POLISHED_STONE",
            Quantity = 8
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_TAILOR_WORKSHOP",
    ResourceProduced = {
        {
            Resource = "CLOTHES",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_WHEAT_FARM",
    ResourceProduced = {
        {
            Resource = "WHEAT",
            Quantity = 18
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_WINDMILL",
    ResourceProduced = {
        {
            Resource = "FLOUR",
            Quantity = 8
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_WOODCUTTER",
    ResourceProduced = {
        {
            Resource = "WOOD",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_BERRY_TABLE",
    ResourceProduced = {
        {
            Resource = "BERRIES",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_BLACKSMITH",
    ResourceProduced = {
        {
            Resource = "TOOL",
            Quantity = 8
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_HUNTERS_HUT",
    ResourceProduced = {
        {
            Resource = "BOAR",
            Quantity = 8
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_CHEESE_MAKER",
    ResourceProduced = {
        {
            Resource = "CHEESE",
            Quantity = 10
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_FISHING_HUT",
    ResourceProduced = {
        {
            Resource = "FISH",
            Quantity = 18
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_IRON_SMELTER",
    ResourceProduced = {
        {
            Resource = "IRON",
            Quantity = 8
        }
    }
})

balance:override({
    Id = "BUILDING_FUNCTION_TREASURY",
    CapacityMultiplier = 5000
})

balance:override({
    Id = "BUILDING_FUNCTION_SMALL_TREASURY",
    CapacityMultiplier = 1000
})